Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 2586133002: [Chromoting] Implement HostExperimentSessionPlugin (Closed)

Created:
2 years, 9 months ago by Hzj_jie
Modified:
2 years, 8 months ago
Reviewers:
Sergey Ulanov, Jamie
CC:
chromium-reviews, chromoting-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Chromoting] Implement HostExperimentSessionPlugin HostExperimentSessionPlugin is a host side SessionPlugin to send host attributes to, and receive configuration from the client side. A host can attach this plugin to the Session and use its configuration to initialize a HostSessionOptions. This is part of host experiment framework. BUG=650926 Review-Url: https://codereview.chromium.org/2586133002 Cr-Commit-Position: refs/heads/master@{#441850} Committed: https://chromium.googlesource.com/chromium/src/+/8e659c584c519c09430f536788b6ac45400eeccc

Patch Set 1 #

Total comments: 6

Patch Set 2 : Update implementation to match SessionPlugin #

Total comments: 6

Patch Set 3 : Resolve review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+158 lines, -3 lines) Patch
M remoting/host/BUILD.gn View 1 2 2 chunks +3 lines, -0 lines 0 comments Download
A remoting/host/host_experiment_session_plugin.h View 1 2 1 chunk +41 lines, -0 lines 0 comments Download
A remoting/host/host_experiment_session_plugin.cc View 1 2 1 chunk +50 lines, -0 lines 0 comments Download
A remoting/host/host_experiment_session_plugin_unittest.cc View 1 2 1 chunk +64 lines, -0 lines 0 comments Download
M remoting/protocol/session_plugin.h View 1 2 1 chunk +0 lines, -3 lines 0 comments Download

Messages

Total messages: 46 (40 generated)
Sergey Ulanov
https://codereview.chromium.org/2586133002/diff/40001/remoting/protocol/DEPS File remoting/protocol/DEPS (right): https://codereview.chromium.org/2586133002/diff/40001/remoting/protocol/DEPS#newcode9 remoting/protocol/DEPS:9: "+remoting/host", Protocol code should not depend on host, this ...
2 years, 9 months ago (2016-12-23 00:23:20 UTC) #17
Hzj_jie
https://codereview.chromium.org/2586133002/diff/40001/remoting/protocol/DEPS File remoting/protocol/DEPS (right): https://codereview.chromium.org/2586133002/diff/40001/remoting/protocol/DEPS#newcode9 remoting/protocol/DEPS:9: "+remoting/host", On 2016/12/23 00:23:19, Sergey Ulanov wrote: > Protocol ...
2 years, 8 months ago (2016-12-30 04:23:28 UTC) #29
Sergey Ulanov
lgtm after my nits are addressed https://codereview.chromium.org/2586133002/diff/80001/remoting/host/host_experiment_session_plugin.cc File remoting/host/host_experiment_session_plugin.cc (right): https://codereview.chromium.org/2586133002/diff/80001/remoting/host/host_experiment_session_plugin.cc#newcode28 remoting/host/host_experiment_session_plugin.cc:28: if (!configuration_.empty()) { ...
2 years, 8 months ago (2017-01-05 20:45:06 UTC) #30
Hzj_jie
https://codereview.chromium.org/2586133002/diff/80001/remoting/host/host_experiment_session_plugin.cc File remoting/host/host_experiment_session_plugin.cc (right): https://codereview.chromium.org/2586133002/diff/80001/remoting/host/host_experiment_session_plugin.cc#newcode28 remoting/host/host_experiment_session_plugin.cc:28: if (!configuration_.empty()) { On 2017/01/05 20:45:06, Sergey Ulanov wrote: ...
2 years, 8 months ago (2017-01-05 23:37:27 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2586133002/120001
2 years, 8 months ago (2017-01-06 01:44:02 UTC) #43
commit-bot: I haz the power
2 years, 8 months ago (2017-01-06 02:50:19 UTC) #46
Message was sent while issue was closed.
Committed patchset #3 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/8e659c584c519c09430f536788b6...

Powered by Google App Engine
This is Rietveld 408576698